Subject: Re: linux-next: manual merge of the tip tree with the bcachefs tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 28 May 2025 09:23:33 +1000

Hi all,

On Mon, 26 May 2025 14:42:04 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the tip tree got a conflict in:
> 
>   fs/bcachefs/clock.c
> 
> between commit:
> 
>   881e64bc3a17 ("bcachefs: bch2_kthread_io_clock_wait_once()")
> 
> from the bcachefs tree and commit:
> 
>   aad823aa3a7d ("treewide, timers: Rename destroy_timer_on_stack() as timer_destroy_on_stack()")
> 
> from the tip tree.
> 
> I fixed it up (the former removed a line updated by the latter, so I
> just used that) and can carry the fix as necessary. This is now fixed
> as far as linux-next is concerned, but any non trivial conflicts should
> be mentioned to your upstream maintainer when your tree is submitted for
> merging.  You may also want to consider cooperating with the maintainer
> of the conflicting tree to minimise any particularly complex conflicts.

This is now a conflict between the bcachefs tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell